# Invoke the decision engine Invokes the decision engine. The Blaize Decision Engine can be invoked via the Admin API to calculate an HTTP Response based upon Request-Level Rules created in the Admin Console. This functionality is build into the Blaize Dynamic CDN but the API variant is useful for CMS or edge side integrations. Endpoint: POST /v3/decision-engine Version: 2026-01-08 Security: ZephrHmacHttp ## Request fields (application/json): - `path` (string, required) Example: "/x.html" - `http_method` (string) Example: "POST" - `session` (string) Example: "xxx-xxx-xxx" - `foreign_keys` (object) Foreign system and ID used to identify the user Example: {} - `request_headers` (object) Example: {"User-Agent":""} - `request_headers.User-Agent` (string) Example: "" - `content_metadata` (object) Example: {"publishedDate":""} - `content_metadata.publishedDate` (string) Example: "" - `jwt` (string) Example: "xxx-xxx-xxx" - `btr` (string) MD5-hex-encoding of: path + "|" + trusted referrer secret Example: "17e74b9e49e66282e55d4b7ec73de951" ## Response 200 fields (application/json): - `status` (string) Example: "301" - `body` (string) Example: "Redirecting to login page..." - `headers` (object) - `headers.Location` (string) Example: "/login.html" ## Response 409 fields